Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 174095 - "-d ata" is missing in smartd.conf for SATA HDDs
Summary: "-d ata" is missing in smartd.conf for SATA HDDs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: smartmontools
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-11-24 14:29 UTC by Bernd Bartmann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: smartmontools-5.33-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-25 15:20:25 UTC


Attachments (Terms of Use)

Description Bernd Bartmann 2005-11-24 14:29:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
FC5T1 now finally contains a kernel that supports S.M.A.R.T. command passthru for SATA HDDs via libata. To use this feature the option "-d ata" has to be added to each line in /etc/smartd.conf that lists an SATA HDD otherwise smartd won't start.

I've verified the correct behaviour of S.M.A.R.T. command passthru using "smartctl -d ata -a /dev/sda" on my system.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to use smartctl / smartd on a SATA HDD
2.
3.
  

Additional info:

Comment 1 Tomas Mraz 2005-11-24 14:47:37 UTC
Great, do you know of any easy and reliable way how to detect libata devices
among the regular SCSI ones?


Comment 2 Bernd Bartmann 2005-11-24 14:52:10 UTC
Hmm, good question. In /proc/scsi/scsi you'll always see "Vendor: ATA". Maybe
this helps. I don't know if libata perhaps has more extended interface to /proc
were one could get this information. 

Comment 3 Tomas Mraz 2005-11-24 16:25:47 UTC
Also do you know which oldest kernel version is required for this to work?


Comment 4 Bernd Bartmann 2005-11-24 16:34:43 UTC
The functionality seems to be introduced with kernel patch-2.6.15-rc1 which is
included in the FC5T1 kernel. I don't know in which rawhide kernel version this
first appeared, but it definitely does not work with the latest FC4 errata
kernel-2.6.14-1.1637_FC4.

Comment 5 Tomas Mraz 2005-11-24 17:34:57 UTC
I suppose it could be detected with 'cat /sys/module/libata/version' >= 1.20

However -rc1 patch has probably still 1.12 - the same as 2.6.14.

But it shouldn't be a problem as soon as -rc2 is in rawhide.



Note You need to log in before you can comment on or make changes to this bug.